Project

General

Profile

Architecture #7723

Remove deprecated package rudder-policy-templates

Added by Jonathan CLARKE over 5 years ago. Updated about 5 years ago.

Status:
Released
Priority:
N/A
Category:
Architecture - Refactoring
Target version:
Effort required:

Description

In #2312, we renamed "Policy Templates" to "Techniques", then in #2758 we added a dummy package called "rudder-policy-templates" to ensure upgrades from Rudder 2.3 to 2.4 would work OK.

This package is still around in our repos now, but never used. Upgrades from 2.3 to 2.11 are not supported, so we can safely remove this package now.


Related issues

Related to Rudder - Architecture #2312: Rename PT/PI/CR in packagingReleasedJonathan CLARKE2012-02-22Actions
Related to Rudder - Bug #2758: Can't upgrade from 2.3 to 2.4 with apt-getReleasedNicolas PERRON2012-08-02Actions
Has duplicate Rudder - Architecture #7722: Remove rudder-policy-templates from rudder-packagesRejected2016-01-04Actions

Also available in: Atom PDF